/* *******************************************************************
   Board Settings for
   Sonoff S26 R2 WiFi Smart Plug 
   Controller:   ESP8266-EX
   Setting:      Generic ESP8266 Module  
                 Flash Size 1MB (FS:none OTA: ~502KB)
                 Flash Mode: DOUT compatible
   Description:  https://werner.rothschopf.net/20211_esp8266_sonoff_s26r2_en.htm 
 
   Amazon:       https://amzn.to/3Rd2snx
   Aliexpress:   https://s.click.aliexpress.com/e/_Dn3LCa7
  
  ********************************************************************/
 
#pragma once
#if USE_BOARD == 26                    // Sonoff S26 R2 (older version Sonoff S20 will work also) 
#define TXT_BOARDNAME "Sonof S26 R2"   // the name of the board
HardwareSerial &Terminal = Serial;     // debug messages on Serial

const uint8_t inputAPin = 0;           // GPIO0 the main button
const uint8_t ouputAPin = 12;          // GPIO12 Relay - Relais (high = on) and red LED
const uint8_t ouputBPin = 13;          // GPIO13 blue LED
//                                     // GPIO2 is available on a solder pad

// assign pins to arrays:
Pin inputPin[] {
  // the pin    a name for the website     
  {inputAPin,    "Main Button"},
};

OutputPin outputPin[] {
  // the pin     a name    LOW active (or high active)
  {ouputAPin,   "Relay",   HIGH},
  {ouputBPin,   "LED",     HIGH},
};

// this board has no wired PWM output so we need this precompiler define
#define NO_PWMPIN

// if you don't need shift registers use this define
#define NO_SHIFTPIN

const uint8_t wifiActivityPin = 255;  // set to 255 if activity LED is not needed
#endif
