/* *******************************************************************
   Board Settings for
   ESP32 WIFI 8 channel relay module
   Controller:   ESP32
   Description:  https://werner.rothschopf.net/microcontroller/202208_esp32_relay_x8_en.htm
                 This is a demo for the ESP32 Relay X8
                 There are similar noname boards on Aliexpress

   Amazon:       -
   Aliexpress:   https://s.click.aliexpress.com/e/_Deq5iJV

  ********************************************************************/

#pragma once
#if USE_BOARD == 75                    // ESP32 with 8 relays
#define TXT_BOARDNAME "ESP32 Relay X8" // the name of the board on webgui and Serial
HardwareSerial &Terminal = Serial;     // the default Serial can be used for debug messages to the Serial Monitor

// assign pins to arrays:
Pin inputPin[] {
  //pin, a name for the website
  {0,    "IO00"}
};

OutputPin outputPin[] {
  //pin,  a name,    LOW active or HIGH active
  {32,    "Relay 1", HIGH},     // ADC1-4 Touch9 RTC9
  {33,    "Relay 2", HIGH},     // ADC1-5 Touch8 RTC8
  {25,    "Relay 3", HIGH},
  {26,    "Relay 4", HIGH},
  {27,    "Relay 5", HIGH},
  {14,    "Relay 6", HIGH},
  {12,    "Relay 7", HIGH},
  {13,    "Relay 8", HIGH},
  {23,    "LED 0", HIGH},
};

// this relais board has no PWM outputs
#define NO_PWMPIN

// this relais board has no shift registers
#define NO_SHIFTPIN

const uint8_t wifiActivityPin = 255;   // set to 255 if activity LED is not needed
#endif
